% this is the old, currently unused source of the man page
% convert with pandoc -s -w man $^ -o $@
% ATDGEN(1) atdgen User Manual
% Sylvain Le Gall 
% December 5, 2010

# NAME

atdgen - generate OCaml serializers and deserializers.

# SYNOPSIS

atdge [options] file.atd

# DESCRIPTION

Generate OCaml serializers and deserializers. Default serialization format is
biniou.

# OPTIONS

-open Module1,Module2,...
:   List of modules to open (comma-separated or space-separated)

-ntd 
:   Do not dump OCaml type definitions

-nfd 
:   Do not dump OCaml function definitions

-rec 
:   Keep OCaml type definitions mutually recursive

-o PREFIX
:   Use this prefix for the generated files, e.g. 'foo/bar' for
    foo/bar.ml and foo/bar.mli

-biniou 
:   Write serializers and deserializers for Biniou (default).

-json 
:   Write serializers and deserializers for JSON.

-std-json 
:   Convert tuples and variants into standard JSON and
    refuse to print NaN and infinities (implying -json).

-version 
:   Print the version identifier of atdgen and exit.

-help|\--help
:   Display list of options

